[DEMO](https://tsjensen.github.io/fuse-core/)

# Fuse Core

**A lightweight Jekyll theme for single-page personal websites.**

This [Jekyll](https://jekyllrb.com/) theme is for you if you need a personal website that simply
summarizes the links to your social media profiles and external content. It is:

- *responsive* - adapts to all screen sizes
- *mobile-friendly*
- *lightweight* - no JavaScript (except for Google Analytics, if enabled)
- *easy to configure* - no HTML knowledge required, just change *_config.yml*
- *fast* - All third party components loaded via their CDN (with
  [subresource integrity](https://developer.mozilla.org/en-US/docs/Web/Security/Subresource_Integrity)),
  so most resources are already cached from visits to other websites.
- Optional Google Analytics supported, with IP anonymization and cookie consent popup
  (optional, but these things are helpful to comply with EU data protection laws).
  You'll need a Google Analytics account, of course, and set it up correctly first.

## License

The *Fuse Core* theme is free software under the terms of the
[CC-BY-4.0](https://creativecommons.org/licenses/by/4.0/) license.

## Ancestry

The visual design for this theme is taken from the
[front-cover](https://github.com/dashingcode/front-cover) theme by [Dashingcode](https://github.com/dashingcode).
Big thank you, it looks awesome!

However, the *Fuse Core* theme is a complete reimplementation, which makes it very different on the inside.
There are many improvements big and small over front-cover, making *Fuse Core* a kind of "Front Cover 2.0" or
"Front Cover Plus":

- Ability to show "featured" links in a separate row of icons. Featured link icons optionally have captions and
  may point anywhere. They also have their own icons chosen from all of Font Awesome's solid icons.
- Use of Bootstrap for responsive design. This gives us supreme browser compatibility and ease of maintenance,
  because a myriad of problems are already handled by the folks at Bootstrap.
- Up-to-date libraries, especially Font Awesome 5.
- Support for [Google Analytics ](https://analytics.google.com/analytics/web/), including some legal details
  such as IP anonymization and cookie consent popup (all optional).
- Search engine control via configurable meta tags
- Responsive sticky footer


## Credits

This theme draws upon the following work by others:

- Visual appearance from the [front-cover](https://github.com/dashingcode/front-cover) theme by Dashingcode under
  [MIT license](https://github.com/dashingcode/front-cover/blob/5fb173ed1b130a1414b8f839feea6d4e97cbd9b4/LICENSE).
- All icons are provided by [Font Awesome](https://fontawesome.com/) under
  [SIL OFL](https://fontawesome.com/license) license.  
  The [star icon](https://fontawesome.com/icons/star?style=solid) used as dummy favicon is provided
  by Font Awesome under [CC-BY-4.0](https://creativecommons.org/licenses/by/4.0/) license.
- The [background image](https://pxhere.com/en/photo/792989) is used under
  [CC0 Public Domain](https://creativecommons.org/publicdomain/zero/1.0/) license.
- The [Open Sans](https://fonts.google.com/specimen/Open+Sans) font by Steve Matteson is used under
  [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0) license.
- The [Bootstrap](https://getbootstrap.com/) framework is used under
  [MIT](https://github.com/twbs/bootstrap/blob/9c469cd0e8abaac19c163622ed68b6783dfa366c/LICENSE) license.
- The [dummy avatar image](images/avatar.svg) was generated using [TinyGraphs](http://www.tinygraphs.com/).
